package org.cds.vizmine;

import java.io.IOException;
import java.net.MalformedURLException;
import java.net.URL;
import java.util.ArrayList;
import java.util.logging.Level;
import java.util.logging.Logger;

import javax.xml.parsers.ParserConfigurationException;
import javax.xml.parsers.SAXParser;
import javax.xml.parsers.SAXParserFactory;

import org.xml.sax.InputSource;
import org.xml.sax.SAXException;
import org.xml.sax.XMLReader;

public class RetrieveData {
	
	private URL mURL;
	
	public RetrieveData(String url) throws MalformedURLException {
		mURL = new URL(url);
	}
	
	public ArrayList<String> parse() {
		ArrayList<String> aList = new ArrayList<String>();
        try {
            SAXParserFactory spf = SAXParserFactory.newInstance();
            SAXParser sp = spf.newSAXParser();
            XMLReader xr = sp.getXMLReader();
            RetrieveHandler handler = new RetrieveHandler();
            xr.setContentHandler(handler);
            try {
                xr.parse(new InputSource(mURL.toString()));
            } catch (IOException ex) {
                Logger.getLogger(RetrieveData.class.getName()).log(Level.SEVERE, null, ex);
            }
            aList = handler.getList();
            /* Display the TextView. */
        } catch (ParserConfigurationException ex) {
            Logger.getLogger(RetrieveData.class.getName()).log(Level.SEVERE, null, ex);
        } catch (SAXException ex) {
            Logger.getLogger(RetrieveData.class.getName()).log(Level.SEVERE, null, ex);
        }
        return aList;
	}
}
