package org.cds.vizmine;

import java.util.ArrayList;

import org.xml.sax.Attributes;
import org.xml.sax.SAXException;
import org.xml.sax.helpers.DefaultHandler;

public class RetrieveHandler extends DefaultHandler {
	
	private boolean in_cat;
	private ArrayList<String> list;
	
	@Override
    public void startDocument() throws SAXException {
        list = new ArrayList<String>();
    }

    @Override
    public void endDocument() throws SAXException {
        //Nothing to do in this case
    }

    @Override
    public void startElement(String namespaceURI, String localName, String qName, Attributes atts) throws SAXException {
        if (localName.equals("CAT")) {
            in_cat = true;
        }
    }

    @Override
    public void endElement(String namespaceURI, String localName, String qName) throws SAXException {
        if (localName.equals("CAT")) {
        	in_cat = false;
        }
    }

    @Override
    public void characters(char ch[], int start, int length) {
        if (in_cat) {
        	String s = new String(ch, start, length).substring(1);
        	if (s.length() == 0)
        		return;
        	list.add(s);
        }
    }
    
    public ArrayList<String> getList() {
    	return list;
    }
}
