package org.cds.vizmine;

import java.util.ArrayList;

import org.cds.vizmine.VizMineView.VizMineThread;

import android.app.Activity;
import android.os.Bundle;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.ListView;
import android.widget.SlidingDrawer;
import android.widget.TextView;
import android.widget.SlidingDrawer.OnDrawerCloseListener;
import android.widget.SlidingDrawer.OnDrawerOpenListener;

/**
 * Main class of the project. It launches the activity.
 * 
 * @author Maxime Royer
 * 
 */
public class VizMine extends Activity {

	private VizMineThread mThread;
	private VizMineView mView;
	public Button mButton;
	private SlidingDrawer mSlidingDrawer;
	public static boolean isOpen = false;
	private ArrayList<String> aList;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);

		setContentView(R.layout.main);
		
		mView = (VizMineView) findViewById(R.id.viz);
		mThread = mView.getThread();
		mThread.setSurfaceSize(480, 320);
		mView.setTextView((TextView) findViewById(R.id.text), (TextView) findViewById(R.id.text2));

		
		mButton = (Button) findViewById(R.id.slideHandleButton);
		mSlidingDrawer = (SlidingDrawer) findViewById(R.id.SlidingDrawer);

		mSlidingDrawer.setOnDrawerOpenListener(new OnDrawerOpenListener() {

			@Override
			public void onDrawerOpened() {
				mButton.setBackgroundResource(R.drawable.fleche_b);
				isOpen = true;
				
				aList = mThread.getList();
				
				ListView lv = (ListView) findViewById(android.R.id.list);
				lv.setBackgroundColor(0x005f719d);
				lv.setAdapter(new ArrayAdapter<String>(VizMine.this, R.layout.list_item_white, aList));
				
			}
		});

		mSlidingDrawer.setOnDrawerCloseListener(new OnDrawerCloseListener() {

			@Override
			public void onDrawerClosed() {
				mButton.setBackgroundResource(R.drawable.fleche_h);
				isOpen = false;
			}
		});
		
		if (savedInstanceState != null) {
//			mThread.restoreState(savedInstanceState);
		}
	}

	@Override
	protected void onPause() {
		super.onPause();
	}

	@Override
	protected void onStop() {
		super.onStop();
		mThread.interrupt();
	}

	@Override
	protected void onRestart() {
		super.onRestart();
	}

	@Override
	protected void onDestroy() {
		super.onDestroy();
	}

	@Override
	protected void onSaveInstanceState(Bundle outState) {
		super.onSaveInstanceState(outState);
		mThread.saveState(outState);
	}

	@Override
	protected void onRestoreInstanceState(Bundle savedInstanceState) {
		super.onRestoreInstanceState(savedInstanceState);
		mThread.restoreState(savedInstanceState);
	}
}